# H323ExtendedVideoCapability Class Reference

`#include <h323caps.h>`

Inheritance diagram for H323ExtendedVideoCapability:

[legend]
Collaboration diagram for H323ExtendedVideoCapability:
[legend]

## Public Member Functions

Construction
| H323ExtendedVideoCapability (const PString &identifier)
Identification functions
virtual unsigned | GetSubType () const
Protocol manipulation
virtual PBoolean | OnSendingPDU (H245_VideoCapability &pdu, CommandType type) const
virtual PBoolean | OnSendingPDU (H245_VideoMode &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_VideoCapability &pdu, CommandType type)
virtual PBoolean | IsMatch (const PASN_Choice &subTypePDU, const PString &mediaPacketization) const

## Protected Attributes

OpalMediaFormatList | m_videoFormats

## Detailed Description

This class descibes an extended ideo capability, as used in H.239.

## Constructor & Destructor Documentation

H323ExtendedVideoCapability::H323ExtendedVideoCapability | ( | const PString & | identifier | ) |

Create a new Extended Video capability.

Parameters:

  identifier | generic codec identifier (OID)

## Member Function Documentation

virtual unsigned H323ExtendedVideoCapability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

This returns H245_VideoCapability::e_extendedVideoCapability.

Reimplemented from H323GenericVideoCapability.

virtual PBoolean H323ExtendedVideoCapability::IsMatch | ( | const PASN_Choice & | subTypePDU,
|  | const PString & | mediaPacketization |
| ) |  |  | const`[virtual]`

Compare the generic part of the capability, if applicable.

Parameters:

  subTypePDU | sub-type PDU of H323Capability
  mediaPacketization | Media packetization used

Reimplemented from H323GenericVideoCapability.

virtual PBoolean H323ExtendedVideoCapability::OnReceivedPDU | ( | const H245_VideoCapability & | pdu,
|  | CommandType | type |
| ) |  |  | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour calls H323GenericCapabilityinfo::OnReceivedPDU() to handle the provided PDU.

Parameters:

  pdu | PDU to get information from
  type | Type of PDU to send in

Reimplemented from H323GenericVideoCapability.

Reimplemented in H323H239VideoCapability.

virtual PBoolean H323ExtendedVideoCapability::OnSendingPDU | ( | H245_VideoMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the PDUs tag according to the GetSubType() function (translated to different enum).

Parameters:

  pdu | PDU to set information on

Reimplemented from H323GenericVideoCapability.

virtual PBoolean H323ExtendedVideoCapability::OnSendingPDU | ( | H245_VideoCapability & | pdu,
|  | CommandType | type |
| ) |  |  | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour calls H323GenericCapabilityinfo::OnSendingPDU() to handle the PDU.

Parameters:

  pdu | PDU to set information on
  type | Type of PDU to send in

Reimplemented from H323GenericVideoCapability.

Reimplemented in H323H239VideoCapability.

## Field Documentation

OpalMediaFormatList H323ExtendedVideoCapability::m_videoFormats `[protected]`

The documentation for this class was generated from the following file:

- h323caps.h